Bug 1771954 - [abrt] mc: vfs_s_free_entry(): mc killed by SIGABRT
Summary: [abrt] mc: vfs_s_free_entry(): mc killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1c2aee0325c3be4d06f3ae8535a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-13 10:10 UTC by Viktar Siarheichyk
Modified: 2020-02-08 01:37 UTC (History)
4 users (show)

Fixed In Version: mc-4.8.24-2.fc31 mc-4.8.24-3.fc30
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 02:01:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.14 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: core_backtrace (5.72 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: cpuinfo (2.33 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: dso_list (2.35 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: environ (7.04 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: maps (12.30 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: mountinfo (2.63 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: open_fds (483 bytes, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-11-13 10:11 UTC, Viktar Siarheichyk
no flags Details

Description Viktar Siarheichyk 2019-11-13 10:10:54 UTC
Description of problem:
I unzipped a zip file in mc overwriting previous versions of the same files.

Version-Release number of selected component:
1:mc-4.8.23-1.fc31

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
cmdline:        /usr/bin/mc -P /var/tmp/mc-viktar_siarheichyk/mc.pwd.351992
crash_function: vfs_s_free_entry
executable:     /usr/bin/mc
journald_cursor: s=7c8555c94ee74e9e8493035d9d1de76b;i=851c9;b=83485bacf61c4daf85bb03ea0f39d8cc;m=329fe9522;t=597376ae5ab23;x=5a64d9604258c66c
kernel:         5.3.9-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 vfs_s_free_entry at direntry.c:961
 #7 extfs_rmdir at extfs.c:1330
 #8 mc_rmdir at interface.c:258
 #9 my_rmdir at filenot.c:135
 #10 try_erase_dir at file.c:1392
 #11 erase_dir_iff_empty at file.c:1508
 #12 erase_dir_after_copy at file.c:1540
 #13 do_move_dir_dir at file.c:1687
 #14 operate_one_file at file.c:2112
 #15 panel_operate at file.c:3387

Comment 1 Viktar Siarheichyk 2019-11-13 10:11:08 UTC
Created attachment 1635727 [details]
File: backtrace

Comment 2 Viktar Siarheichyk 2019-11-13 10:11:09 UTC
Created attachment 1635728 [details]
File: core_backtrace

Comment 3 Viktar Siarheichyk 2019-11-13 10:11:10 UTC
Created attachment 1635729 [details]
File: cpuinfo

Comment 4 Viktar Siarheichyk 2019-11-13 10:11:12 UTC
Created attachment 1635730 [details]
File: dso_list

Comment 5 Viktar Siarheichyk 2019-11-13 10:11:13 UTC
Created attachment 1635731 [details]
File: environ

Comment 6 Viktar Siarheichyk 2019-11-13 10:11:15 UTC
Created attachment 1635732 [details]
File: limits

Comment 7 Viktar Siarheichyk 2019-11-13 10:11:17 UTC
Created attachment 1635733 [details]
File: maps

Comment 8 Viktar Siarheichyk 2019-11-13 10:11:19 UTC
Created attachment 1635734 [details]
File: mountinfo

Comment 9 Viktar Siarheichyk 2019-11-13 10:11:21 UTC
Created attachment 1635735 [details]
File: open_fds

Comment 10 Viktar Siarheichyk 2019-11-13 10:11:22 UTC
Created attachment 1635736 [details]
File: proc_pid_status

Comment 11 Fedora Update System 2020-01-22 10:15:14 UTC
FEDORA-2020-0f291784c5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0f291784c5

Comment 12 Fedora Update System 2020-01-22 10:18:20 UTC
FEDORA-2020-2bba995a57 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2bba995a57

Comment 13 Fedora Update System 2020-01-31 02:01:05 UTC
mc-4.8.24-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-01-31 02:25:19 UTC
mc-4.8.24-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9aa1e4cdb7

Comment 15 Fedora Update System 2020-02-08 01:37:10 UTC
mc-4.8.24-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.